//______________________________________________________________________________
//      Clavier numérique virtuel - 1.0
//      M.Grimaldi
// ce clavier virtuel numérique est uniquement utilisable avec des QLineEdit
//_______________________________________________________________________________
#ifndef CLAVIERNUMERIQUE_H
#define CLAVIERNUMERIQUE_H

#include <QDialog>
#include <QPushButton>
#include <QLineEdit>

namespace Ui {
class ClavierNumerique;
}

class ClavierNumerique : public QDialog
{
    Q_OBJECT

public:
    explicit ClavierNumerique(QWidget *parent = 0);
    ~ClavierNumerique();
    void setObject(QLineEdit *lineEdit);
private slots:
    void clickKey();
private:
    Ui::ClavierNumerique *ui;
    QList <QPushButton*> buttons;       // les touches
    QLineEdit * destination;            // le lineedit de destination
    QStringList keysTitle;              // contenu des touches
};

#endif // CLAVIERNUMERIQUE_H
