#include "widget.h"
#include "ui_widget.h"
#include <QDebug>

//__________________________________________________________________________
Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);

    // le clavier numérique
    clavier = new ClavierNumerique(this);
    clavier->setModal(false);
    clavier->setWindowTitle("Value ?");

    // les deux lineEdit gérés par le clavier virtuel
    ui->lineEdit->installEventFilter(this);
    ui->lineEdit_2->installEventFilter(this);
}

//____________________________________________________________________________
Widget::~Widget()
{
    delete ui;
}

//____________________________________________________________________________
// cet event filter est attaché aux lineEdits. Il appelle le clavier
bool Widget::eventFilter(QObject *object, QEvent *event){
    if (event->type() == QEvent::MouseButtonPress && clavier->isHidden()){
                clavier->setObject((QLineEdit*)object);
                clavier->show();
                }
}
